Skip to main content

GET /v1/zhihu/list/answer_list_v1

Zhihu Answer List API (V1)

stable · 20 credits per success

Retrieve the answers to a Zhihu question, with sorting and pagination controls. Use it to browse the answers to a known question and page through further answers.

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/zhihu/list/answer_list_v1?order=_updated&cursor=demo&offset=0&sessionId=demo&questionId=demo' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
data[ 2 items ]
paging{ 4 items }
ad_info{ 3 items }
session{ 1 item }
finished_reading_filtered_count:0
}
meta{
endpoint:"zhihu.list.answer_list_v1"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    orderstringqueryno答案的排序标准。 可用值: - `_default`:默认排序。 - `_updated`:按更新时间排序。_updated
    cursorstringqueryno上一结果的翻页游标。demo
    offsetintegerqueryno起始偏移量,从0开始。0
    sessionIdstringqueryno先前结果中的会话 ID。demo
    questionIdstringqueryyes问题 IDdemo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 20 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Zhihu endpoints →

    Search

    Search endpoints and docs